/* All content(c) 2016 - 2017 DigiPen(USA) Corporation, all rights reserved. */
/*****************************************************************************/
/*!
\file LevelSwitcher.h
\author Gabe Miller
\par E-mail: g.miller\@digipen.edu
\par Project: Boat Game
\date 12/8/2016 11:27:26 AM
\brief
*/
/*****************************************************************************/
#pragma once

#ifndef LevelSwitcher_H
#define LevelSwitcher_H

#include "Component.h"
#include "StateFactory.h"

/*****************************************************************************/
/*!
\class LevelSwitcher
\brief


\par
	Operations include:
	-

\deprecated
	-

\bug
	-
*/
/*****************************************************************************/
class LevelSwitcher : public Component
{
public:
  LevelSwitcher(StateType state);
  LevelSwitcher(std::string levelFile);
  void Update();
  void Switch();
private:
  StateType _nextState;
  std::string _levelFile;
  bool _fromFile;
  bool _transitionCreated;
};

Component * CreateLevelSwitcherComponent(Json::Value value);

#endif