/* All content(c) 2016 - 2017 DigiPen(USA) Corporation, all rights reserved. */
/*****************************************************************************/
/*!
\file ParticleShader.h
\author Sukanya Ratanotayanon
\par E-mail: sukanya_r@sci.tu.ac.th
\par Project: Boat Game
\date 3/11/2017 12:38:12 AM
\brief This class should be deleted after refactoring. It is the same as the GraphicShader
*/
/*****************************************************************************/

#ifndef ParticleShader_H
#define ParticleShader_H
#include <string>

#include "CircleGraphic.h"
#include "Shader.h"

/*****************************************************************************/
/*!
\class ParticleShader
\brief


\par
	Operations include:
	-

\deprecated
	-

\bug
	-
*/
/*****************************************************************************/
class ParticleShader : public Shader
{
public:
  ParticleShader(const std::string & vert_file, const std::string & frag_file,
    const CircleGraphic & graphic);
  GLint PositionA() const;
  GLint TransformationU() const;
  GLint ColorU() const;
private:
  //! The location of the Shader's position attribute.
  GLint _position_A;
  //! The location of the Shader's transformation uniform.
  GLint _transformation_U;
  //! The location of the Shader's color uniform.
  GLint _color_U;
};


#endif