#include <vector>
#include <string>

class RuntimeError
{
  public:
    RuntimeError(const char * file_location, const char * function_location);
    ~RuntimeError();
    void AddInfo(std::string error_info);
  private:
    const char * _fileLocation;
    const char * _functionLocation;
    std::vector<std::string> _errorInfo;
};