#version 330 core

in vec2 texCoord;

uniform vec4 in_color = vec4(1.0f, 1.0f, 1.0f, 1.0f);
uniform int additive = 0; // false
uniform sampler2D texture;

out vec4 color;

void main()
{
  color = texture2D(texture, texCoord);
  if(additive == 1){
    vec4 color_add = in_color;
    color_add.w = 0.0;
    color += color_add;
  }
  else{
    vec4 color_multiply = in_color;
    color *= color_multiply;
  }
}
