#version 330 core

in vec3 position;
in vec2 in_texCoord;

out vec2 texCoord;

uniform mat4 transformation = mat4(1.0f, 0.0f, 0.0f, 0.0f,
                                   0.0f, 1.0f, 0.0f, 0.0f,
                                   0.0f, 0.0f, 1.0f, 0.0f,
                                   0.0f, 0.0f, 0.0f, 1.0f);

void main()
{
  gl_Position = transformation * vec4(position, 1.0);
  texCoord = vec2(in_texCoord.x, 1.0f - in_texCoord.y);
}
