/* All content(c) 2016 - 2017 DigiPen(USA) Corporation, all rights reserved. */
#ifndef SPLASHSCREEN_H
#define SPLASHSCREEN_H

#include "State.h"

class SplashScreen : public State
{
private:
  enum STAGE
  {
    FADEIN,
    STILL,
    FADOUT
  };
public:
  SplashScreen() : _currentStage(FADEIN), _time(0.0f), _stageTime(0.0f) {}
  virtual void Allocate();
  virtual void Load();
  virtual bool Update();
private:
  float _time;
  float _stageTime;
  STAGE _currentStage;
  Object * _splashLogo;
  Object * _other;
};

#endif
