/* All content(c) 2016 - 2017 DigiPen(USA) Corporation, all rights reserved. */
/*****************************************************************************/
/*!
\file States.h
\author Connor Deakin
\par E-mail: connor.deakin@digipen.edu
\par Project: X-Craft
\date 29/11/2016
\brief
  This file localizes all of the existing states in the project into a single
  header file. This means that this file can be included in a project file,
  and every derivation of State will be included in that file. Lookin in
  StateFactory.cpp to see this in use.
*/
/*****************************************************************************/

#ifndef STATES_H
#define STATES_H

#include "Transition.h"
#include "CreditsScreen.h"
#include "LogoScreen.h"
#include "MainMenu.h"
#include "MenuPause.h"
#include "LevelOne.h"
#include "SandboxLevel.h"
#include "PhysicsDemo.h"
#include "SplashScreen.h"
#include "HUDoverlay.h"
#include "Cheat.h"
#include "ControlsScreen.h"
#include "SettingsMenu.h"
#include "WinScreen.h"
#include "LoseScreen.h"
#include "GunnerInventory.h"
#include "DriverInventory.h"
#include "Level.h"
#include "DialogueOverlay.h"

#endif // !STATES_H
