/* All content(c) 2016 - 2017 DigiPen(USA) Corporation, all rights reserved. */
#pragma once

#ifndef LEVEL_H
#define LEVEL_H

#include "State.h"

class Level : public State
{
public:
  Level(std::string filename);
  virtual void Allocate();
  virtual void Load();
  virtual bool Update();
  virtual void Free();
  void gamepadUpdate();
  const std::string & GetLevelFile();
private:
  std::string level;
  bool _leaving;
};

#endif // LEVEL_H