/* All content(c) 2016 - 2017 DigiPen(USA) Corporation, all rights reserved. */
#pragma once
/*****************************************************************************/
/*!
\file Projectile.h
\author Gabe Miller
\par E-mail: g.miller\@digipen.edu
\par Project: Boat Game
\date 1/20/2017 1:16:50 PM
\brief
*/
/*****************************************************************************/

#ifndef Projectile_H
#define Projectile_H

#include "Component.h"
#include <glm\glm.hpp>

/*****************************************************************************/
/*!
\class Projectile
\brief


\par
	Operations include:
	-

\deprecated
	-

\bug
	-
*/
/*****************************************************************************/
class Projectile : public Component
{
public:
  Projectile(int damage, glm::vec2 dir) : 
    Component("Projectile"),
    _damage(damage), 
    _dir(dir)
  {}

  int _damage;
  glm::vec2 _dir;
private:
};

Component * CreateProjectileComponent(Json::Value value);

#endif