/* All content(c) 2016 - 2017 DigiPen(USA) Corporation, all rights reserved. */
#ifndef TURRET_H
#define TURRET_H

#include "Event.h"
#include "Component.h"

class Turret : public Component
{
public:
  Turret(float fire_rate, float bullet_speed, float activation_range);
  ~Turret();
  void Update();
  void Init();
  void Shoot(const glm::vec2 & direction);
  void Dead(Event * event);
private:
  float _timePassed;
  Object * _player;
  Sprite * _sprite;
  float _fireConstant;
  float _bulletSpeed;
  float _activationRange;
};

Component * CreateTurretComponent(Json::Value value);

#endif // !TURRET_H
